CMSIS-DSP: Convert 32-bit Integer value

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Convert 32-bit Integer value
Support Functions

## Functions
void | arm_q31_to_float (const q31_t *pSrc, float32_t *pDst, uint32_t blockSize)
| Converts the elements of the Q31 vector to floating-point vector. More...
void | arm_q31_to_q15 (const q31_t *pSrc, q15_t *pDst, uint32_t blockSize)
| Converts the elements of the Q31 vector to Q15 vector. More...
void | arm_q31_to_q7 (const q31_t *pSrc, q7_t *pDst, uint32_t blockSize)
| Converts the elements of the Q31 vector to Q7 vector. More...

## Description

## Function Documentation

void arm_q31_to_float | ( | const q31_t * | pSrc,
|  | float32_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pSrc | points to the Q31 input vector
  [out] | pDst | points to the floating-point output vector
  [in] | blockSize | number of samples in each vector

Returns
  none

Details
  The equation used for the conversion process is:

          pDst[n] = (float32_t) pSrc[n] / 2147483648;   0 <= n < blockSize.

void arm_q31_to_q15 | ( | const q31_t * | pSrc,
|  | q15_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pSrc | points to the Q31 input vector
  [out] | pDst | points to the Q15 output vector
  [in] | blockSize | number of samples in each vector

Returns
  none

Details
  The equation used for the conversion process is:

          pDst[n] = (q15_t) pSrc[n] >> 16;   0 <= n < blockSize.

void arm_q31_to_q7 | ( | const q31_t * | pSrc,
|  | q7_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pSrc | points to the Q31 input vector
  [out] | pDst | points to the Q7 output vector
  [in] | blockSize | number of samples in each vector

Returns
  none

Details
  The equation used for the conversion process is:

          pDst[n] = (q7_t) pSrc[n] >> 24;   0 <= n < blockSize.